mbedtls_md_context_t Struct Reference

Generic message digest context. More...

`#include <md.h>`

Collaboration diagram for mbedtls_md_context_t:
[legend]

## Data Fields

const mbedtls_md_info_t * | md_info
| Information about the associated message digest. More...
void * | md_ctx
| Digest-specific context. More...
void * | hmac_ctx
| HMAC part of the context. More...

## Detailed Description

Generic message digest context.

Definition at line 66 of file md.h.

## Field Documentation

void* mbedtls_md_context_t::hmac_ctx

HMAC part of the context.

Definition at line 74 of file md.h.

void* mbedtls_md_context_t::md_ctx

Digest-specific context.

Definition at line 71 of file md.h.

const mbedtls_md_info_t* mbedtls_md_context_t::md_info

Information about the associated message digest.

Definition at line 68 of file md.h.

The documentation for this struct was generated from the following file:

- md.h